> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Photo Generation Status

> Check the generation status of the AI profile photo according to the photo ID



## OpenAPI

````yaml GET /photo_avatar/generation
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /photo_avatar/generation:
    get:
      tags:
        - Create photo avatar
      summary: Check photo generation status
      description: >-
        Check the generation status of the AI profile photo according to the
        photo ID
      parameters:
        - name: photo_id
          in: query
          description: Photo ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/CheckGenerationStatusResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
    CheckGenerationStatusResp:
      type: object
      properties:
        image_key_list:
          type: array
          items:
            type: string
        image_url_list:
          type: array
          items:
            type: string
        msg:
          type: string
        photo_id:
          type: string
        status:
          type: string
          enum:
            - in_progress
            - error
            - success
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````